import { createRouter, createWebHistory } from "vue-router"
import TabGroup from './../pages/tab-group';

// 2. 定义路由配置
const routes = [
    {
        path: '/tab-group',
        name: 'tabGroup',
        component: TabGroup
    },
    {
        path: '/nav-message',
        name: 'navMessage',
        component: () => require('../pages/nav-message')
    },
    {
        path: '/nav-nft-index',
        name: 'navNftIndex',
        component: () => require('../pages/nav-nft-index')
    },
    {
        path: '/nav-nft-detail',
        name: 'navNftDetail',
        component: () => require('../pages/nav-nft-detail')
    },
    {
        path: '/nav-nft-transfer',
        name: 'navNftTransfer',
        component: () => require('../pages/nav-nft-transfer')
    }
]


// 3. 创建路由实例
const router = createRouter({

    // 4. 采用hash 模式
    // history: createWebHashHistory('popup.html'),
    // 采用 history 模式
    history: createWebHistory(),
    routes, // short for `routes: routes`
});
export default router

